package netscape.softupdate;

import java.util.ListResourceBundle;

public class SoftUpdateResourceBundle extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{{"s1", "Niedrig"}, {"s2", "Mittel"}, {"s3", "Hoch"}, {"s4", "Java auf Ihrem Rechner installieren."}, {"s5", "Software auf Ihrem Rechner installieren und ausführen."}, {"s6", "Software auf Ihrem Rechner ohne vorherige Ankündigung installieren und ausführen."}, {"s7", "Eine Windows-.ini-Datei wird geschrieben und gelesen"}, {"s8", "Die Windows-Registrierdatenbank wird gelesen und geschrieben: Mit äußerster Vorsicht vorgehen!"}, {"s9", "SmartUpdate: "}, {"s10", "Die Installation wird eingeleitet "}, {"s11", "Zum Installieren die Schaltfläche \"Installieren\" drücken "}, {"s12", ""}, {"s13", "Die Installation läuft "}, {"s14", " führt untenstehende Aktionen durch:"}, {"s15", "Ausführliche Informationen zu SmartUpdate: "}, {"s16", "Programm ausführen:"}, {"s17", "SmartUpdate:"}, {"s18", "Skript für Installationsprogramm hat kein Zertifikat."}, {"s19", "Skript für Installationsprogramm hat mehr als ein Zertifikat"}, {"s20", "Stumm-Modus wurde nicht zugelassen."}, {"s21", "Must call StartInstall() before calling GetWinProfile() and GetWinRegistry()"}, {"s22", "Zertifikat der Datei des Installationsprogramms stimmt nicht mit dem Zertifikat der installierten Datei überein"}, {"s23", "Package name is null or empty in StartInstall."}, {"s24", "Unexpected error in "}, {"s25", "Bad package name in AddSubcomponent. Did you call StartInstall()?"}, {"s26", "Illegaler Datei-Pfad"}, {"s27", "Unerwarteter Fehler beim Installieren einer Datei"}, {"s28", "Verification failed. 'this' must be passed to SoftwareUpdate constructor."}, {"s29", "SmartUpdate wurde deaktiviert"}, {"s30", "Die Sicherheitsintegritätsprüfung ist gescheitert."}, {"s31", "Could not get installer name out of the global MIME headers inside the JAR file."}, {"s32", "Die Extraktion der JAR-Datei ist gescheitert."}, {"s33", "Installieren"}, {"s34", "Abbrechen"}, {"s35", "Mehr Info..."}, {"s36", "Schließen"}, {"s37", "Installation der Java-Klassendateien im Verzeichnis \"Java Download\". Dieses Zugangsrecht erlaubt nur das Hinzufügen neuer Dateien in dieses spezielle Verzeichnis, wobei andere Dateien, die in diesem Verzeichnis installiert waren, ggf. ersetzt werden dürfen."}, {"s38", "Installation von Software auf der Festplatte des Rechners, wobei andere Dateien auf der Festplatte ggf. gelöscht werden dürfen. Jedesmal wenn ein Programm mit diesem Zugangsrecht eine Software-Komponente installieren möchte, wird ein Dialogfeld angezeigt, in dem Sie bestätigen müssen, daß die Installation tatsächlich durchgeführt werden darf. Wenn Sie diese Bestätigung geben, darf das Installationsprogramm beliebige andere Programme auf Ihrem Rechner aufrufen. Dieses potentiell riskante Zugriffsrecht wird normalerweise von Installationsprogrammen angefordert, nachdem Sie neue Software oder eine neue Version einer vorhandenen Software geladen haben. Dieses Zugangsrecht sollte nur gewährt werden, wenn Sie Software aus einer absolut vertrauenswürdigen Quelle installieren bzw. aktualisieren wollen."}, {"s39", "Installation von Software auf der Festplatte des Rechners ohne Ankündigung, wobei andere Dateien auf der Festplatte ggf. gelöscht werden dürfen. Es dürfen dabei beliebige andere Programme auf Ihrem Rechner aufgerufen werden. Dieses äußerst riskante Zugriffsrecht sollte nur von Systemverwaltern vergeben werden."}};

   public Object[][] getContents() {
      return contents;
   }
}
